defmodule ChronoscopeWeb.PageControllerTest do
  use ChronoscopeWeb.ConnCase, async: true

  alias Chronoscope.DynamicSupervisorMock

  import Mox

  setup :verify_on_exit!

  test "GET /", %{conn: conn} do
    DynamicSupervisorMock
    |> expect(:which_children, fn _ -> [] end)

    conn = get(conn, ~p"/")
    assert html_response(conn, 200) =~ "Chronoscope"
  end
end
